
Robotics Service Bus - Bug #1011
Configuration fails with BUILD_SPREAD_TRANSPORT set to off and no Spread installed
06/20/2012 03:15 PM - S. Wrede

Status: Resolved Start date: 06/20/2012
Priority: Normal Due date:
Assignee: S. Wrede % Done: 100%
Category: Configuration Estimated time: 0.00 hour
Target version: rsb-0.7
Description

==> cmake . -DCMAKE_INSTALL_PREFIX=/usr/local/Cellar/rsb/0.6 -DCMAKE_BUILD_TYPE=None
-DCMAKE_FIND_FRAMEWORK=LAST -Wno-dev -DBUILD_SPREAD_TRANSPORT=OFF
-- The C compiler identification is Clang 3.1.0
-- The CXX compiler identification is Clang 3.1.0
-- Check for working C compiler: /usr/bin/clang
-- Check for working C compiler: /usr/bin/clang -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/clang++
-- Check for working CXX compiler: /usr/bin/clang++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Boost version: 1.49.0
-- Found BoostUUID: /usr/local/include  
-- RSC version: 0.6.0
-- RSC libraries: rsc
-- RSC runtime library dirs: /usr/local/share/rsc/../../bin
-- RSC CMake module path: /usr/local/share/rsc/../../share/cmake/Modules
-- Using CMake module path:
/usr/local/Cellar/rsb/0.6/share/cmake/Modules;/usr/local/share/rsc/../../share/cmake/Modules;/usr/local/share/rsc/../../share/cmake/Modules
-- Found PkgConfig: /usr/local/bin/pkg-config (found version "0.25") 
-- Could NOT find Lcov (missing:  LCOV_EXECUTABLE GENHTML_EXECUTABLE) 
-- Could NOT find gcovr (missing:  GCOVR_EXECUTABLE) 
-- Could NOT find sloccount (missing:  SLOCCOUNT_EXECUTABLE) 
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Could NOT find Cppcheck (missing:  CPPCHECK_EXECUTABLE CPPCHECK_VERSION) 
-- Found Subversion: /usr/bin/svn (found version "1.6.17") 
-- Performing Test CHECK_CXX_FLAG_pipe
-- Performing Test CHECK_CXX_FLAG_pipe - Success
-- Performing Test CHECK_CXX_FLAG_Wall
-- Performing Test CHECK_CXX_FLAG_Wall - Success
-- Performing Test CHECK_CXX_FLAG_Wextra
-- Performing Test CHECK_CXX_FLAG_Wextra - Success
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS - Success
-- Boost version: 1.49.0
-- Found the following Boost l
ke/Modules
-- Found PkgConfig: /usr/local/bin/pkg-config (found version "0.25") 
-- Could NOT find Lcov (missing:  LCOV_EXECUTABLE GENHTML_EXECUTABLE) 
-- Could NOT find gcovr (missing:  GCOVR_EXECUTABLE) 
-- Could NOT find sloccount (missing:  SLOCCOUNT_EXECUTABLE) 
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Could NOT find Cppcheck (missing:  CPPCHECK_EXECUTABLE CPPCHECK_VERSION) 
-- Found Subversion: /usr/bin/svn (found version "1.6.17") 
-- Performing Test CHECK_CXX_FLAG_pipe
-- Performing Test CHECK_CXX_FLAG_pipe - Success
-- Performing Test CHECK_CXX_FLAG_Wall
-- Performing Test CHECK_CXX_FLAG_Wall - Success
-- Performing Test CHECK_CXX_FLAG_Wextra
-- Performing Test CHECK_CXX_FLAG_Wextra - Success
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS - Success
-- Boost version: 1.49.0
-- Found the following Boost libraries:
--   regex
--   date_time
--   program_options
-- Looking for include file pthread.h

04/26/2024 1/3



-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - found
-- Found Threads: TRUE  
-- Threading library: 
-- protoc does not support matlab
-- Found PROTOBUF: /usr/local/lib/libprotobuf.dylib  
-- RSBProtocol: Matching wire-format version (8)
-- Searching for spread library with name libspread.dylib
-- Could NOT find Spread (missing:  SPREAD_LIBRARIES SPREAD_INCLUDE_DIRS) 
-- Spread executable not found. Unit tests will not be built!
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Disabled spread transport
-- Enabled socket transport
-- Enabling export macro RSB_PROTOCOL_EXPORT for CPP
-- Cannot enable coverage targets because neither lcov nor gcovr are found.
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
SPREAD_INCLUDE_DIRS (ADVANCED)
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/3rdparty
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/src
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/examples
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/apps
   used as include directory in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/apps
SPREAD_LIBRARIES (ADVANCED)
    linked by target "rsbcore" in directory /tmp/homebrew-rsb-0.6-DNRG/rsb/src

-- Configuring incomplete, errors occurred!

Associated revisions
Revision 4a892f74 - 06/20/2012 03:16 PM - S. Wrede

Fix for failing configuration in a spread-less environment, refs #1011
Revision fc983749 - 06/20/2012 03:20 PM - S. Wrede

Backport: Fix for failing configuration in a spread-less environment, refs #1011

History
#1 - 06/20/2012 03:20 PM - S. Wrede
- Project changed from Packaging to Robotics Service Bus

#2 - 06/20/2012 03:30 PM - S. Wrede
- Category set to Configuration
- Status changed from New to Resolved
- Target version set to rsb-0.7
- % Done changed from 0 to 100

Fixed in Trunk and backported to 0.6.
